<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_image_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_image_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__image.html">Image APIs</a>]</small>
</h1><!-- doxytag: class="tivx_image_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Image object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html#a4e4404bf721fa9ee8128fa5c280a2a32">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference object  <a href="#a4e4404bf721fa9ee8128fa5c280a2a32"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html#aca587fb3abea2e75bb4247fe4432b746">parent</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A pointer to a parent image object.  <a href="#aca587fb3abea2e75bb4247fe4432b746"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html#a23c4156a202fd4a563019a69f280f9b0">subimages</a> [TIVX_IMAGE_MAX_SUBIMAGES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The array of images derived form this image.  <a href="#a23c4156a202fd4a563019a69f280f9b0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__image__map__info__t.html">tivx_image_map_info_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html#a2f6ce351ec1a5f5f777e4128c2f70462">maps</a> [TIVX_IMAGE_MAX_MAPS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mapping done via vxMapImagePatch().  <a href="#a2f6ce351ec1a5f5f777e4128c2f70462"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html#a5723b8f5dcd3bce020a438a75aca554e">mem_offset</a> [TIVX_IMAGE_MAX_PLANES]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">offset from mem_ptr to reach valid first pixel, in case image is created from ROI  <a href="#a5723b8f5dcd3bce020a438a75aca554e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__image__t.html#a5888822ce0316edc9c65b5d2e89dbac8">channel_plane</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">channel_plane index of parent in case image is created from channel  <a href="#a5888822ce0316edc9c65b5d2e89dbac8"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a4e4404bf721fa9ee8128fa5c280a2a32"></a><!-- doxytag: member="tivx_image_t::base" ref="a4e4404bf721fa9ee8128fa5c280a2a32" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__image__t.html#a4e4404bf721fa9ee8128fa5c280a2a32">tivx_image_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference object </p>

</div>
</div>
<a class="anchor" id="aca587fb3abea2e75bb4247fe4432b746"></a><!-- doxytag: member="tivx_image_t::parent" ref="aca587fb3abea2e75bb4247fe4432b746" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a> <a class="el" href="structtivx__image__t.html#aca587fb3abea2e75bb4247fe4432b746">tivx_image_t::parent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A pointer to a parent image object. </p>

</div>
</div>
<a class="anchor" id="a23c4156a202fd4a563019a69f280f9b0"></a><!-- doxytag: member="tivx_image_t::subimages" ref="a23c4156a202fd4a563019a69f280f9b0" args="[TIVX_IMAGE_MAX_SUBIMAGES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#afaa07841fe324f1c1d5b0f27c27de7b5">vx_image</a> <a class="el" href="structtivx__image__t.html#a23c4156a202fd4a563019a69f280f9b0">tivx_image_t::subimages</a>[TIVX_IMAGE_MAX_SUBIMAGES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The array of images derived form this image. </p>

</div>
</div>
<a class="anchor" id="a2f6ce351ec1a5f5f777e4128c2f70462"></a><!-- doxytag: member="tivx_image_t::maps" ref="a2f6ce351ec1a5f5f777e4128c2f70462" args="[TIVX_IMAGE_MAX_MAPS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__image__map__info__t.html">tivx_image_map_info_t</a> <a class="el" href="structtivx__image__t.html#a2f6ce351ec1a5f5f777e4128c2f70462">tivx_image_t::maps</a>[TIVX_IMAGE_MAX_MAPS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Mapping done via vxMapImagePatch(). </p>

</div>
</div>
<a class="anchor" id="a5723b8f5dcd3bce020a438a75aca554e"></a><!-- doxytag: member="tivx_image_t::mem_offset" ref="a5723b8f5dcd3bce020a438a75aca554e" args="[TIVX_IMAGE_MAX_PLANES]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__image__t.html#a5723b8f5dcd3bce020a438a75aca554e">tivx_image_t::mem_offset</a>[TIVX_IMAGE_MAX_PLANES]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>offset from mem_ptr to reach valid first pixel, in case image is created from ROI </p>

</div>
</div>
<a class="anchor" id="a5888822ce0316edc9c65b5d2e89dbac8"></a><!-- doxytag: member="tivx_image_t::channel_plane" ref="a5888822ce0316edc9c65b5d2e89dbac8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__image__t.html#a5888822ce0316edc9c65b5d2e89dbac8">tivx_image_t::channel_plane</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>channel_plane index of parent in case image is created from channel </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
